% Run file that initializes the system.

clear all
close all
clc
% system
stepsize = 0.01;
%NB! runge kutta 4 is chosen, the matlab scripts within the simulink diagram
%will run 4 times the stepsize.

Scenario = 1;
% Choose scenario:
% Scenario 1: Two turns
% Scenario 2: Changing elevation

init_euler_angles = [0     0 0]';
switch Scenario
    case 1
        tstop = 120;
    case 2
        tstop = 400;
    case 3
        tstop = 150;
    case 4
        tstop = 150;
        init_euler_angles = [0     0 pi/2]';
    otherwise
end
%% Initiation
init.initPeriod = 5; % initiation period [s]
% init constants
flightplan
init_Control_Constants
init_Model_Cessna172SP